## javax.persistence.criteria
Interface CriteriaBuilder.Coalesce<T>

All Superinterfaces:
  Expression<T>, Selection<T>, TupleElement<T>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.Coalesce<T>

extends Expression<T>

Method Summary
`CriteriaBuilder.Coalesce<T>` `value(Expression<? extends T> value)`
`CriteriaBuilder.Coalesce<T>` `value(T value)`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### value

    CriteriaBuilder.Coalesce<T> value(T value)

### value

    CriteriaBuilder.Coalesce<T> value(Expression<? extends T> value)